#include "ScannerScore/ScannerSUser.h"

using namespace std;

//////////////////////////////////////////////////////////
////// Function contents to be defined by the user ///////
//////////////////////////////////////////////////////////
// WARNING: Don't change the prototypes of the template //
// functions  in this file since they are used by the   //
//     core routines. Only change their contents!       //
//////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////
//////////// General user defined function ///////////////
//////////////////////////////////////////////////////////
// These functions will be called when you use a        //
// Mathematica generated input file or if there is no   //
// Specific function for the model are using.           //
//////////////////////////////////////////////////////////

void Potential::UserInitCalcs(){
  //////////////////////////////////////////////////////////////////////////
  // ENTER HERE CODE FOR YOUR INITIAL CALCULATIONS BEFORE THE SCAN STARTS //
  //////////////////////////////////////////////////////////////////////////
  
  //// Setting up the output print options
  //// leave the 1st argument at 1 if you want print points 1 by 1
  //// The 2nd argument indicates how many variables you want to print per point
  setprint(1,1);
  
  //// Use this vector to print/keep any extra data you calculate on UserAnalysis
  //// Keep it at 0 if you have no use for it
  extra_data.resize(0);
  

}

bool Potential::UserAnalysis(PhiRef & Phi,LambdaRef & L,MassRef & Mass, MmixingRef & Mixing){
  ////////////////////////////////////////////////////////////////
  // ENTER CODE FOR YOUR TESTS/OUTPUT DURING THE SCAN 		//
  ////////////////////////////////////////////////////////////////
  // User defined analysis function to be executed once for 	//
  // each valid parameter space point that was generated. This	//
  // routine serves to accept or reject the point for example	//
  // through testing experimental constraints. 			//
  ////////////////////////////////////////////////////////////////
    
  return true;
}

void Potential::what2print(){
  //////////////////////////////////////////////////////////////////////////
  //       CHOSE WHAT YOU WANT TO BE PRINTED TO THE OUTPUT FILE HERE      //
  ////////////////////////////////////////////////////////////////////////// 
  // YOU NEED TO USE setprint() IN UserInitCalcs() TO DEFINE HOW MUCH     //
  // DATA YOU WANT TO PRINT PER POINT (AND HOW MANY POINTS TO STORE       //
  // BEFORE PRINTING).                                                    //
  ////////////////////////////////////////////////////////////////////////// 
  
}

void Potential::UserFinalCalcs(void){
  ////////////////////////////////////////////////////////////////////////
  // ENTER HERE CODE FOR YOUR FINAL CALCULATIONS AFTER THE SCAN IS DONE //
  ////////////////////////////////////////////////////////////////////////
  // Function for User defined final calculations to be executed after	//
  // the scan is finished						//
  ////////////////////////////////////////////////////////////////////////
  
}

bool Potential::CheckStability(LambdaRef & L)const{
  ///////////////////////////////////////////
  ///// Your calculations here! /////////////
  ///////////////////////////////////////////

  return true;
}

bool Potential::CheckGlobal(PhiRef & Phi,LambdaRef & L,Potential & V)const{
  ///////////////////////////////////////////
  ///// Your calculations here! /////////////
  ///////////////////////////////////////////

  return true;
}

//////////////////////////////////////////////////////////
//////// General user defined parameterizations //////////
//////////////////////////////////////////////////////////
// These functions will be called when you use a        //
// Mathematica generated input file.			//
//////////////////////////////////////////////////////////

void Potential::MyPhiParametrization(const PhiParamVec & PhiPar,PhiVec & Phi){
//////////////////////////////////////////////////////////
//////// Define your VeV parameterization here ///////////
//////////////////////////////////////////////////////////

  // Example of the code used in the TwoHDM class
  
  Phi[2]=246/sqrt(1+PhiPar[0]*PhiPar[0]);
  Phi[6]=246*PhiPar[0]/sqrt(1+PhiPar[0]*PhiPar[0]);
  
}

void Potential::MyInternalMixing(const PhiParamVec & PhiPar,const PhiVec & Phi,MixingparamVec & MixPar,vector< vector<double> > & MixInternal){
/////////////////////////////////////////////////////////////
//////// Define your MIxing parameterization here ///////////
/////////////////////////////////////////////////////////////

  // Example of the code used in the TwoHDM class

  MixInternal[0][0]=cos(MixPar[0]);
  MixInternal[0][1]=sin(MixPar[0]);
  MixInternal[1][0]=-sin(MixPar[0]);
  MixInternal[1][1]=cos(MixPar[0]);
  
}

void Potential::MyCoupMassRelations(const PhiParamVec & PhiPar,const PhiVec & Phi,const vector< vector<double> > & Mixing,const MixingparamVec & MixPar,vector<double> & L,vector<double> & Mass, MLparamVec & MLPar, vector<double> & IndependentMs,vector<double> & IndependentLs){
/////////////////////////////////////////////////////////////
////// Define your coupling/mass parameterization here //////
/////////////////////////////////////////////////////////////

}

bool Potential::UserCheckLocalMin(){
  //// User defined function to perform any extra checks on the local minimum that is generated in the first step
  
  return true;
}
