#include "MOmegasWrap.h"

const double Pi=acos(-1);

using namespace std;

bool test_nucleon_amplitudes(double & Omega,double & sigmaSI3,double DM_mass,double * pA0,double * pAspin,double * nA0,double * nAspin){
  
  double SCcoeff;   
  scanners_calc_nucleon_amplitudes_v1(pA0,pAspin,nA0,nAspin);
  ////////double err1=nucleonAmplitudes(NULL,pA0,pAspin,nA0,nAspin);
  //clog <<"err1="<<err1<< endl;
  //// For verbose mode..
  SCcoeff=4/Pi*3.8937966E8*pow(nucleonMass*DM_mass/(nucleonMass+ DM_mass),2.); // Value given by micromegas
  sigmaSI3=SCcoeff*pA0[0]*pA0[0];
  if(DM_mass>=exp(1.7) && DM_mass<=exp(8.5)){
    double sigmaup=Interp(log(DM_mass),LUX2016);
    if(sigmaSI3*Omega/0.112>sigmaup)
      return false;
  }

  return true;
}

bool test_nucleon_amplitudes(double & Omega,double & sigmaSI3,double DM_mass,double spin_amplitudes[4][2], double & sigmaup){
  
  double SCcoeff;   
  scanners_calc_nucleon_amplitudes_v2(spin_amplitudes);
 
  //clog <<"err1="<<err1<< endl;
  //// For verbose mode..
  SCcoeff=4/Pi*3.8937966E8*pow(nucleonMass*DM_mass/(nucleonMass+ DM_mass),2.); // Value given by micromegas
  sigmaSI3=SCcoeff*spin_amplitudes[0][0]*spin_amplitudes[0][0];
  if(DM_mass>=exp(1.7) && DM_mass<=exp(8.5)){
    sigmaup=Interp(log(DM_mass),LUX2016);
    if(sigmaSI3*Omega/0.112>sigmaup)
      return false;
  }

  return true;
}
