#include "SuperisoWrap.h"

using namespace std;

void CreateInputFileSuperiso2HDM(double mHlight, double mHheavy,double mA,double mHcharged,double alpha,double tanbeta,int ModelType){
  if(ModelType>4 || ModelType<1)
    cerr<< "Error in oid CreateInputFileSuperiso2HDM(double mHlight, double mHheavy,double mA,double mHcharged,double alpha,double tanbeta,int ModelType): Bad model type!"<< endl;
  /////
  ofstream outfile ; // ofstream output file object to write file;
  outfile.open("tempsuperiso.lha"); //open file named "tempsuperiso.lha" in the current directory
  
  outfile << "Block MODSEL   # Model selection " << endl;
  outfile << "     0     10   # 10 = THDM " << endl;         
  outfile << "Block SMINPUTS   # Standard Model inputs " << endl;
  outfile << "     1     1.27839951E+02   # alpha_em^(-1) " << endl;
  outfile << "     2     1.16570000E-05   # G_Fermi " << endl;
  outfile << "     3     1.17200002E-01   # alpha_s(M_Z) " << endl;
  outfile << "     4     9.11699982E+01   # m_{Z}(pole)  " << endl;
  outfile << "     5     4.19999981E+00   # m_{b}(m_{b}) " << endl;
  outfile << "     6     1.72399994E+02   # m_{top}(pole) " << endl;
  outfile << "     7     1.77699995E+00   # m_{tau}(pole) " << endl;
  outfile << "Block GAUGE Q=  1.06350342E+03   # " << endl;
  outfile << "     1     3.57522130E-01   # g` " << endl;
  outfile << "     2     6.52355075E-01   # g_2 " << endl;
  outfile << "     3     1.21908653E+00   # g_3 " << endl;
  outfile << "Block MASS   # Mass spectrum (kinematic masses) " << endl;
  //  PDG code   mass                 particle
  
  // Mh1, lightest CP-even higgs
  outfile << "25 "<< mHlight << endl; 
  // Mh2, heaviest CP-even          
  outfile << "35 "<< mHheavy << endl;
  
  // Mh3, CP-odd Higgs            
  outfile << "36 "<< mA  << endl;
  // Mhc 
  outfile << "37 "<< mHcharged << endl;
  
  outfile << "Block ALPHA   # Effective Higgs mixing parameter " << endl;
  
  outfile << alpha << "   # alpha " << endl;
  
  outfile << "Block UCOUPL  " << endl;
  outfile << "     1     1    0.00000000e+00   # LU_{1,1} " << endl;
  outfile << "     1     2    0.00000000e+00   # LU_{1,2}  " << endl;
  outfile << "     1     3    0.00000000e+00   # LU_{1,3} " << endl;
  outfile << "     2     1    0.00000000e+00   # LU_{2,1} " << endl;
  outfile << "     2     2    "<<1/tanbeta <<"   # LU_{2,2} " << endl;
  outfile << "     2     3    0.00000000e+00   # LU_{2,3} " << endl;
  outfile << "     3     1    0.00000000e+00   # LU_{3,1} " << endl;
  outfile << "     3     2    0.00000000e+00   # LU_{3,2} " << endl;
  outfile << "     3     3    "<<1/tanbeta <<"   # LU_{3,3} " << endl;
  outfile << "Block DCOUPL " << endl;
  outfile << "     1     1    0.00000000e+00   # LD_{1,1} " << endl;
  outfile << "     1     2    0.00000000e+00   # LD_{1,2} " << endl;
  outfile << "     1     3    0.00000000e+00   # LD_{1,3} " << endl;
  outfile << "     2     1    0.00000000e+00   # LD_{2,1} " << endl;
  if(ModelType==1 || ModelType==3)
    outfile << "     2     2    "<<1/tanbeta <<"   # LD_{2,2} " << endl;
  else 
    outfile << "     2     2    "<< -tanbeta<<"   # LD_{2,2} " << endl;
  outfile << "     2     3    0.00000000e+00   # LD_{2,3} " << endl;
  outfile << "     3     1    0.00000000e+00   # LD_{3,1} " << endl;
  outfile << "     3     2    0.00000000e+00   # LD_{3,2} " << endl; 
  if(ModelType==1 || ModelType==3)
    outfile << "     3     3    "<<1/tanbeta <<"   # LD_{3,3} " << endl;
  else 
    outfile << "     3     3    "<< -tanbeta<<"   # LD_{3,3} " << endl;
  outfile << " Block LCOUPL " << endl;
  if(ModelType==1 || ModelType==4)
    outfile << "     1     1    "<<1/tanbeta <<"   # LL_{1,1} " << endl;
  else 
    outfile << "     1     1    "<< -tanbeta<<"   # LL_{1,1} " << endl;
  outfile << "     1     2    0.00000000e+00   # LL_{1,2} " << endl;
  outfile << "     1     3    0.00000000e+00   # LL_{1,3} " << endl;
  outfile << "     2     1    0.00000000e+00   # LL_{2,1} " << endl;
  if(ModelType==1 || ModelType==4)
    outfile << "     2     2    "<<1/tanbeta <<"   # LL_{2,2} " << endl;
  else 
    outfile << "     2     2    "<< -tanbeta<<"   # LL_{2,2} " << endl;
  outfile << "     2     3    0.00000000e+00   # LL_{2,3} " << endl;
  outfile << "     3     1    0.00000000e+00   # LL_{3,1} " << endl;
  outfile << "     3     2    0.00000000e+00   # LU_{3,2} " << endl;
  if(ModelType==1 || ModelType==4)
    outfile << "     3     3    "<<1/tanbeta <<"   # LL_{3,3} " << endl;
  else 
    outfile << "     3     3    "<< -tanbeta<<"   # LL_{3,3} " << endl;
  outfile.close();
  
}
