#ifndef SCANNERSN2HMD_H
#define SCANNERSN2HMD_H
#include <iostream>
#include "../../ScannerSInterface.h"
#include "../../ScannerSModelclasses.h"
#include "../../ScannerSTables.h"
#include "../../ScannerSEWPO.h"
#include "../../ScannerSAnalysisUtils.h"
#include <gsl/gsl_multimin.h>
#include <gsl/gsl_multiroots.h>
#include <algorithm>
#include <array>
#include <vector>
#include <map>




#include "../../ExtInterfaces/Wrappers.h"


class N2HDM:public Potential{
//UNDER CONSTRUCTION!!!!!!!!!!!!
    static std::string filepath;
    static const unsigned int nHzero = 4;      //Number of neutral scalars
    static const unsigned int nHplus=1;		    //Number of singly charged scalars
    static const int whichanalyses=3;	//which Higgs bounds analysis
    static const int whichinput=1; 	  //which type of HB input you will provide (1=hadronic)
    static const unsigned int nDoublet = 2; // Number of doublets, needed for STUchecker
    static const double Ecm2;
    static const double Ecm7;
    static const double Ecm8;




    std::array<double, nHzero> Rhvv;
    std::array<std::array<double,nHzero>, nHzero> Rhhv;
	//Higgs couplings to fermions indices are:
	// Rhfs[iHiggs][ifermion]: Type=0,1,2,3 (I, II, III, IV); iHiggs=0,1,2,3 (h,A,H,S), ifermion= 0,1,2 (up-type quarks, d-type quarks and fermions)
    std::array<std::array<double,3>, nHzero> Rhf;

    STUchecker STU_N2HDM{};

    double bsgamma;
#ifdef HBMODE
    HBobject HiggsBoundsAnalysis;
    void PrepareHiggsBoundsInput();
    int HB_channel;
#endif
    std::map<std::string,double> mu_results;
    std::array<bool,6> mass_bounds;//initialised in readfile
    std::array<bool,12> L_bounds;//initialised in readfile
    std::array<bool,9> phi_bounds {{1,1,0,1,1,1,0,1,0}};
    std::array<bool,3> sing_bounds;//initialised in readfile
    std::array<double,3> sing_min {{0,0,0}};
    std::array<double,3> sing_max {{100,100,100}};
    bool deltamHc_bound;
    double deltamHc_max;

    int Type2HDM;

    double mHc,mA,beta,tanbeta;
    //mass ordering
    double mH1,mH2,mH3,a1,a2,a3;
    //singlet ordering
    double sH1,sH2,sH3;

    //tree uni maxvalue
    double maxev;

    //counters to show which constraint kills how many points
    static int fail_global,fail_STU,fail_Z_bbar,fail_bs_gamma,fail_HB,fail_rates;


  public:
    std::map<std::string,double> HdecayA,HdecayHc,HdecayTop,HdecayH1,HdecayH2,HdecayH3;

    N2HDM();
    void PrintHeader()const;
    void readfile(std::istream & in);
    void UserInitCalcs();
    void UserFinalCalcs();
    void what2print();
    bool UserCheckLocalMin(void);//NEW!!!
    bool CheckBounds()const;
    bool CheckStability(LambdaRef & L)const;
    bool CheckGlobal(PhiRef & Phi,LambdaRef & L,Potential & V)const;
    bool UserAnalysis(PhiRef & Phi,LambdaRef & L,MassRef & Mass, MmixingRef & Mixing);
    std::string name()const;
    bool CheckTreeUni();
    void MyPhiParametrization(const PhiParamVec & PhiPar,PhiVec & Phi);
    void MyInternalMixing(const PhiParamVec & PhiPar,const PhiVec & Phi,MixingparamVec & MixPar,std::vector< std::vector<double> > & MixInternal);
    void MyCoupMassRelations(const PhiParamVec & PhiPar,const PhiVec & Phi,const std::vector< std::vector<double> > & Mixing,const MixingparamVec & MixPar,std::vector<double> & L,std::vector<double> & Mass, MLparamVec & MLPar, std::vector<double> & IndependentMs,std::vector<double> & IndependentLs);

  private:
    void PhysicalStatesN2HDM();
    bool TestZbbarbLEP() const;
    bool Test_bs_gamma();
    bool CheckSignalStrengths();
    bool TestSTU();
};


// SuperisoTables for B->X_s gamma to be available for User

extern TableData TableSuperisoBsgammaType1;
extern TableData TableSuperisoBsgammaType2;
extern TableData TableSuperisoBsgammaType3;
extern TableData TableSuperisoBsgammaType4;

#endif
