#ifndef RXSM_H
#define RXSM_H
#include <iostream>
#include <cmath>
#include <gsl/gsl_poly.h>
#include "../../ScannerSInterface.h"
#include "../../ScannerSModelclasses.h"
#include "../../ScannerSTables.h"
#include "../../ScannerSEWPO.h"
#include "../../ScannerSRGEtools.h"


#include "../../ExtInterfaces/Wrappers.h"


class RxSM:public Potential{

    static std::string filepath;
    static int nHzero;
    static int nHplus;
    static int whichanalyses;	//which Higgs bounds analysis
    static int whichinput; 	//which type of input you will provide (1=hadronic)
#ifdef HDECAYMODE
#ifdef HBMODE
    bool PrepareHiggsBoundsInput();
    HBobject HiggsBoundsAnalysis;
#endif
#endif
    double Pvalue,Omega,sigmaSI3,sigmaup,alpha,alpha_in;
    int mix_pos[2][2],mix_perm;
    bool DM_candidate,alpha_bounds;
    bool mass_bounds[5],L_bounds[5],phi_bounds[5];
    size_t h[2];
  public:
    //NEEDED
    RxSM();
    std::string name() const;
    void PrintHeader() const;
    void readfile(std::istream & in);
    void UserInitCalcs();
    void what2print();
    bool UserCheckLocalMin(void);//NEW!!!
    void UserFinalCalcs(void);
    bool CheckBounds() const;
    bool CheckStability(LambdaRef & L)const;
    bool CheckGlobal(PhiRef & Phi0,LambdaRef & L0,Potential & V)const;
    bool UserAnalysis(PhiRef & Phi,LambdaRef & L,MassRef & Mass, MmixingRef & Mixing);
    void compute_alpha(void);
    void MyPhiParametrization(const PhiParamVec & PhiPar,PhiVec & Phi);
    void MyInternalMixing(const PhiParamVec & PhiPar,const PhiVec & Phi,MixingparamVec & MixPar,std::vector< std::vector<double> > & MixInternal);
    void MyCoupMassRelations(const PhiParamVec & PhiPar,const PhiVec & Phi,const std::vector< std::vector<double> > & Mixing,const MixingparamVec & MixPar,std::vector<double> & L,std::vector<double> & Mass, MLparamVec & MLPar, std::vector<double> & IndependentMs,std::vector<double> & IndependentLs);

#ifdef MICROMEGASMODE
    void assignMOvalues();
#endif
};

#endif
