#include "ScannerSTables.h"

using namespace std;

TableData TableSusHi_SM_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_SM_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_SM_noEW_mrange360_1000Ecm7_14pp;

///////////////////
//// GG FUSION ////
///// Form functions without higher order electroweak corrections for the LHC and Tevatron

// TT form factor
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar;
//
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar;

// TB form factor
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar;
//
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar;

// BB form factor
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar;
//
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar;


///////////////////
//// BB FUSION ////
///// Form functions without higher order electroweak corrections for the LHC and Tevatron

// BB form factor
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar;
//
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp;
//
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar;
TableData TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar;


//Function to load tables...
void Load_SM_noEW_SusHiPP_7to14(void){
  TableSusHi_SM_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/TableSusHi_SM_noEW_mrange30_330Ecm7_14pp.dat");
  TableSusHi_SM_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/TableSusHi_SM_noEW_mrange330_360Ecm7_14pp.dat");
  TableSusHi_SM_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/TableSusHi_SM_noEW_mrange360_1000Ecm7_14pp.dat");

}

void Load_ggF_bbF_noEW_SusHiPP_PPbarTables_LHC_plus_Tevatron(void){

///////////////////
//// GG FUSION ////
///// Form functions without higher order electroweak corrections for the LHC and Tevatron

// TT form factor
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTT_mrange360_1000Ecm1.5_2ppbar.dat");
 //
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTT_mrange360_1000Ecm1.5_2ppbar.dat");

// TB form factor
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncTB_mrange360_1000Ecm1.5_2ppbar.dat");
 //
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncTB_mrange360_1000Ecm1.5_2ppbar.dat");

// BB form factor
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_ggh_FuncBB_mrange360_1000Ecm1.5_2ppbar.dat");
 //
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_ggh_FuncBB_mrange360_1000Ecm1.5_2ppbar.dat");

///////////////////
//// BB FUSION ////
///// Form functions without higher order electroweak corrections for the LHC and Tevatron

// BB form factor
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_even_bbh_FuncBB_mrange360_1000Ecm1.5_2ppbar.dat");
//
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange30_330Ecm7_14pp.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange330_360Ecm7_14pp.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp.create_from_file("ScannerScore/data/LHC_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange360_1000Ecm7_14pp.dat");
 //
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange30_330Ecm0.5_2ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange330_360Ecm0.5_2ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange360_450Ecm0.5_1ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange360_950Ecm1_1.5ppbar.dat");
 TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar.create_from_file("ScannerScore/data/Tevatron_cross_sections/TableSusHi_H_CP_odd_bbh_FuncBB_mrange360_1000Ecm1.5_2ppbar.dat");

}

double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM){

  //Error cases
  if(Ecm>14000 || Ecm<7000){
    std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for Ecm = "<<Ecm<<" not available. Ecm must be in [7000:14000] GeV"<<endl;
    exit(EXIT_FAILURE);
  }
  double FuncTT,FuncTB,FuncBB;
  vector<double> Point(2);
  Point[0]=mH;
  Point[1]=Ecm;

  if(CP==1){    
    if(mH>=30 && mH<330){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp(Point);
    }
    else if(mH>=330 && mH<360){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp(Point);
    }
    else if(mH>=360 && mH<=1000){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp(Point);
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
    
  }
  else if(CP==-1){
    if(mH>=30 && mH<330){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp(Point);
    }
    else if(mH>=330 && mH<360){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp(Point);
    }
    else if(mH>=360 && mH<=1000){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp(Point);
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Bad CP = "<<CP<<". Allowed values are CP=1 (even) and CP=-1 (odd)."<<endl;
      exit(EXIT_FAILURE);
  }
  
  return gHtt_rel_SM*gHtt_rel_SM*FuncTT+gHtt_rel_SM*gHbb_rel_SM*FuncTB+gHbb_rel_SM*gHbb_rel_SM*FuncBB;
}


double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP,double gHbb_rel_SM){

  //Error cases
  if(Ecm>14000 || Ecm<7000){
    std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Tables for Ecm = "<<Ecm<<" not available. Ecm must be in [7000:14000] GeV"<<endl;
    exit(EXIT_FAILURE);
  }
  double FuncBB;
  vector<double> Point(2);
  Point[0]=mH;
  Point[1]=Ecm;

  if(CP==1){    
    if(mH>=30 && mH<330){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm7_14pp(Point);
    }
    else if(mH>=330 && mH<360){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm7_14pp(Point);
    }
    else if(mH>=360 && mH<=1000){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm7_14pp(Point);
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
    
  }
  else if(CP==-1){
    if(mH>=30 && mH<330){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm7_14pp(Point);
    }
    else if(mH>=330 && mH<360){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm7_14pp(Point);
    }
    else if(mH>=360 && mH<=1000){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm7_14pp(Point);
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Bad CP = "<<CP<<". Allowed values are CP=1 (even) and CP=-1 (odd)."<<endl;
      exit(EXIT_FAILURE);
  }
  
  return gHbb_rel_SM*gHbb_rel_SM*FuncBB;
}

////////////////////////////////
double InternalTableSusHiPPbar_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM){
  
  //Error cases
  if(Ecm>2000 || Ecm<500){
    std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for Ecm = "<<Ecm<<" not available. Ecm must be in [500:2000] GeV"<<endl;
    exit(EXIT_FAILURE);
  }
  double FuncTT,FuncTB,FuncBB;
  vector<double> Point(2);
  Point[0]=mH;
  Point[1]=Ecm;

  if(CP==1){
    if(mH>=30 && mH<330){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar(Point);
    }
    else if(mH>=330 && mH<360){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar(Point);
    }
    else if(mH>=360 && mH<=1000){
      if(Ecm<1000 && Ecm>=500){
	if(mH<=450){
	  FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	  FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	  FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<1500 && Ecm>=1000){
	if(mH<=950){
	  FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	  FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	  FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<=2000 && Ecm>=1500){
	FuncTT=TableSusHi_ggF_TTfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
	FuncTB=TableSusHi_ggF_TBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
	FuncBB=TableSusHi_ggF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
      }
      
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else if(CP==-1){
    if(mH>=30 && mH<330){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar(Point);
    }
    else if(mH>=330 && mH<360){
      FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar(Point);
      FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar(Point);
      FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar(Point);
    }
    else if(mH>=360 && mH<=1000){
      if(Ecm<1000 && Ecm>=500){
	if(mH<=450){
	  FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	  FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	  FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<1500 && Ecm>=1000){
	if(mH<=950){
	  FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	  FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	  FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<=2000 && Ecm>=1500){
	FuncTT=TableSusHi_ggF_TTfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
	FuncTB=TableSusHi_ggF_TBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
	FuncBB=TableSusHi_ggF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
      }
      
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_ggF_noEW(double Ecm, double mH, int CP,double gHtt_rel_SM, double gHbb_rel_SM): Bad CP = "<<CP<<". Allowed values are CP=1 (even) and CP=-1 (odd)."<<endl;
      exit(EXIT_FAILURE);
  }

  return gHtt_rel_SM*gHtt_rel_SM*FuncTT+gHtt_rel_SM*gHbb_rel_SM*FuncTB+gHbb_rel_SM*gHbb_rel_SM*FuncBB;
}


double InternalTableSusHiPPbar_bbF_noEW(double Ecm, double mH, int CP,double gHbb_rel_SM){
  
  //Error cases
  if(Ecm>2000 || Ecm<500){
    std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Tables for Ecm = "<<Ecm<<" not available. Ecm must be in [500:2000] GeV"<<endl;
    exit(EXIT_FAILURE);
  }
  double FuncBB;
  vector<double> Point(2);
  Point[0]=mH;
  Point[1]=Ecm;

  if(CP==1){
    if(mH>=30 && mH<330){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange30_330Ecm0_5_2ppbar(Point);
    }
    else if(mH>=330 && mH<360){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange330_360Ecm0_5_2ppbar(Point);
    }
    else if(mH>=360 && mH<=1000){
      if(Ecm<1000 && Ecm>=500){
	if(mH<=450){
	  FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<1500 && Ecm>=1000){
	if(mH<=950){
	  FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<=2000 && Ecm>=1500){
	FuncBB=TableSusHi_bbF_BBfunc_H_CPeven_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
      }
      
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else if(CP==-1){
    if(mH>=30 && mH<330){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange30_330Ecm0_5_2ppbar(Point);
    }
    else if(mH>=330 && mH<360){
      FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange330_360Ecm0_5_2ppbar(Point);
    }
    else if(mH>=360 && mH<=1000){
      if(Ecm<1000 && Ecm>=500){
	if(mH<=450){
	  FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_450Ecm0_5_1ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<1500 && Ecm>=1000){
	if(mH<=950){
	  FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_950Ecm1_1_5ppbar(Point);
	}
	else{
	  std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): No table available for mH = "<<mH<<" and Ecm = "<<Ecm<<""<<endl;
	  exit(EXIT_FAILURE);
	}
      }
      else if(Ecm<=2000 && Ecm>=1500){
	FuncBB=TableSusHi_bbF_BBfunc_H_CPodd_noEW_mrange360_1000Ecm1_5_2ppbar(Point);
      }
      
    }
    else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
      exit(EXIT_FAILURE);
    }
  }
  else{
      std::cerr<< "ScannerS Error in --> double InternalTableSusHiPP_bbF_noEW(double Ecm, double mH, int CP, double gHbb_rel_SM): Bad CP = "<<CP<<". Allowed values are CP=1 (even) and CP=-1 (odd)."<<endl;
      exit(EXIT_FAILURE);
  }
  
  return gHbb_rel_SM*gHbb_rel_SM*FuncBB;
}

//////////////////////////////////

double InternalTableSusHiPP_SM_noEW(double Ecm, double mH){
  //Error cases
  if(Ecm>14000 || Ecm<7000){
    std::cerr<< "Error in double InternalTableSusHiPP_SM_noEW(double Ecm, double mH): Tables for Ecm = "<<Ecm<<" not available. Ecm must be in [7000:14000] GeV"<<endl;
    exit(EXIT_FAILURE);
  }
  double result;
  vector<double> Point(2);
  Point[0]=mH;
  Point[1]=Ecm;
  
  if(mH>=30 && mH<330)
    result=TableSusHi_SM_noEW_mrange30_330Ecm7_14pp(Point);
  else if(mH>=330 && mH<360)
    result=TableSusHi_SM_noEW_mrange330_360Ecm7_14pp(Point);
  else if(mH>=360 && mH<=1000)
    result=TableSusHi_SM_noEW_mrange360_1000Ecm7_14pp(Point);
  else{
    std::cerr<< "Error in double InternalTableSusHiPP_SM_noEW(double Ecm, double mH): Tables for mH = "<<mH<<" not available. Allowed range is [30:1000] GeV."<<endl;
    exit(EXIT_FAILURE);
  }

  return result;
}
